Page MenuHomePhabricator

Edit notice on user talk page not displayed on mobile, only on desktop
Closed, DuplicatePublic

Description

First, make sure you don't have the mobile version of Advanced mode turned on.
Then visit https://w.wiki/_3sa (mobble) and https://w.wiki/_3sd (desktop) at the same time.
You can see editnotice that appear in the desktop view are gone on the mobile side.

This will cause the user who received the message to misunderstand the user who left the message because he did not read the edit notice.

Event Timeline

IN updated the task description. (Show Details)
Aklapper changed the task status from Open to Stalled.Feb 6 2021, 9:05 AM

Hi @IN, thanks for taking the time to report this! Unfortunately this Wikimedia Phabricator task lacks some information.
If you have time and can still reproduce the situation: Please add a more complete description to this task. That should be

  • a clear and complete list of exact steps to reproduce the situation, step by step, so that nobody needs to guess or interpret how you performed each step,
  • what happens after performing these steps to reproduce,
  • what you expected to happen instead,
  • a full link to a web address where the issue can be seen.

You can edit the task description by clicking Edit Task. Ideally, a good description should allow any other person to follow these steps (without having to interpret steps) and see the same results. Problems that others can reproduce can get fixed faster. Thanks again!

IN updated the task description. (Show Details)

Hi @IN, thanks for taking the time to report this! Unfortunately this Wikimedia Phabricator task lacks some information.
If you have time and can still reproduce the situation: Please add a more complete description to this task. That should be

  • a clear and complete list of exact steps to reproduce the situation, step by step, so that nobody needs to guess or interpret how you performed each step,
  • what happens after performing these steps to reproduce,
  • what you expected to happen instead,
  • a full link to a web address where the issue can be seen.

You can edit the task description by clicking Edit Task. Ideally, a good description should allow any other person to follow these steps (without having to interpret steps) and see the same results. Problems that others can reproduce can get fixed faster. Thanks again!

Done.

IN changed the task status from Stalled to Open.Feb 11 2021, 9:32 AM
Aklapper changed the task status from Open to Stalled.Feb 11 2021, 10:53 AM

https://w.wiki/vqd (mobble)

I'm unfortunately not sure how to interpret this... Do you go to https://en.m.wikipedia.org/wiki/User:Lickmeinsideout27/sandbox (non-mobile URL)?
Did you mean https://en.m.wikipedia.org/wiki/User:Lickmeinsideout27/sandbox (mobile URL because .m., but not where your link above brings me)?

Could you please post full URLs instead of shortened/obfuscated links, if that's possible? Might make things a bit clearer for readers of bug reports...

You can see editnotice that appear in the desktop view are gone on the mobile side.

Where exactly to see some edit notice in the desktop view on https://zh.wikipedia.org/wiki/2019冠狀病毒病香港疫情 ?
How is this related to "leaving a message to a user" mentioned in the task title?
Could you please follow https://www.mediawiki.org/wiki/How_to_report_a_bug and provide a complete list of clear steps to reproduce, step by step, as a list, plus what you expect, and what happens instead? Following that scheme usually helps reducing misunderstandings or different interpretations. Thanks a lot! :)

Just a moment, please. I'm checking to see if the link is wrong.

IN updated the task description. (Show Details)

Now there is no problem with the link.

IMG_20210213_205828.jpg (1×921 px, 445 KB)

The picture above is the desktop version, It has an edit notice.

Screenshot_2021-02-13-20-54-34-65.jpg (1×1 px, 328 KB)

This is the case with the mobile version. You will notice that there are no editing notice in the mobile version compared to the desktop version.

Please provide full links where to see something.

IN changed the task status from Stalled to Open.Feb 14 2021, 8:33 AM

The desktop link is broken (/wiki/w/). A correct link would be https://en.wikipedia.org/w/index.php?title=User_talk:Cassiopeia&action=edit&section=new

For future reference, please always include clear and complete steps to reproduce, by following https://www.mediawiki.org/wiki/How_to_report_a_bug :

Steps to reproduce:

  1. Go to desktop page https://en.wikipedia.org/w/index.php?title=User_talk:Cassiopeia&action=edit
  2. See edit notice "I'm here to help" displayed, coming from https://en.wikipedia.org/wiki/User_talk:Cassiopeia/Editnotice
  3. Go to same page on mobile: https://en.m.wikipedia.org/w/index.php?title=User_talk:Cassiopeia&action=edit

Expected outcome:
Same edit notice displayed

Actual outcome:
No edit notice displayed

Aklapper renamed this task from When a user leaves a message to another user using the mobile view, the user who leaves the message will not see the edit notice to Edit notice on user talk page not displayed on mobile, only on desktop.Feb 14 2021, 10:04 AM
Aklapper removed projects: Notifications, Growth-Team.